package ch.nostromo.tiffanys.clients.desktop.controller;

import java.io.File;

import ch.nostromo.lib.controller.NosControllerSettings;
import ch.nostromo.lib.controller.NosSettingsException;

public class DesktopSettings extends NosControllerSettings {
  
  private static final long serialVersionUID = 1L;
  
  public boolean DEFAULT_GAME_WHITE_ENGINE = false;

  public String DEFAULT_GAME_WHITE_ENGINE_DOC = "Is white default an engine.";
  
  public boolean DEFAULT_GAME_BLACK_ENGINE = true;

  public String DEFAULT_GAME_BLACK_ENGINE_DOC = "Is black default an engine.";
    
  public String DEFAULT_ENGINE_NAME = "ch.nostromo.tiffanys.engines.tiffanys.TiffanysEngine";

  public String DEFAULT_ENGINE_NAME_DOC = "Default engine name";

  public String DEFAULT_ENGINE_SETTINGS = "engine-settings.xml";

  public String DEFAULT_ENGINE_SETTINGS_DOC = "Engine Settings File";
  
  
  public DesktopSettings()  {
    super("tiffanys", "desktop.log");
  }

  public DesktopSettings(File fileToRead) throws NosSettingsException {
    super("tiffanys", "desktop.log");
    this.readSettingsFromXml(fileToRead);
  }
  
}
