package ch.nostromo.tiffanys.clients.desktop.gui.history;

import java.awt.BorderLayout;

import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import javax.swing.WindowConstants;

import ch.nostromo.lib.swing.NosInternalFrame;

public class HistoryFrame extends NosInternalFrame {

  private static final long serialVersionUID = 1L;

  private JTextArea engineStats;

  private JScrollPane scrollPane;

  public HistoryFrame() {
    super();
    initGUI();
  }

  private void initGUI() {

      BorderLayout thisLayout = new BorderLayout();
      this.getContentPane().setLayout(thisLayout);
      setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
      this.setPreferredSize(new java.awt.Dimension(600, 250));
      this.setBounds(0, 0, 600, 250);
      {
        scrollPane = new JScrollPane();
        this.getContentPane().add(scrollPane, BorderLayout.CENTER);
        {
          engineStats = new JTextArea();
          scrollPane.setViewportView(engineStats);
        }
      }
      pack();

  }

  public void setPGN(String pgn) {
      engineStats.setText(pgn);
  }

}
