package ch.nostromo.tiffanys.engines;

public class EngineTimer extends Thread {

  private double seconds;
  private Engine engine;
  
  public EngineTimer(Engine engine, double seconds) {
    this.seconds = seconds;
    this.engine = engine;
  }
  
  @Override
  public void run() {
    try {
      long ms = (long) (seconds * 1000);
      Thread.sleep(ms);
    } catch (InterruptedException ignored) {
      // Ignored
    }
    engine.setRunning(false);
  }
}
