package ch.nostromo.tiffanys.engines.tiffanys.board.pieces;
import ch.nostromo.tiffanys.engines.tiffanys.board.TiffanysBoard;
import ch.nostromo.tiffanys.engines.tiffanys.board.TiffanysMove;
import ch.nostromo.tiffanys.engines.tiffanys.board.pieces.TiffanysPiece;
import ch.nostromo.tiffanys.game.board.Board;

public class TiffanysKnight  extends TiffanysPiece {


  private static final int myPieceCode = Board.PIECE_KNIGHT;
  public static final int MATERIAL_VALUE = 300;

  public static int getMoveList(int[] board, int currentPosition, int myColor, int oldArrayLength, TiffanysMove[] moves) {
    int arrayLength = oldArrayLength;

    int toField = currentPosition + 19;
    if (LEGALBOARD[toField] && TiffanysBoard.isValidMoveToField(board[toField], myColor)) {
      moves[arrayLength] = new TiffanysMove(currentPosition, toField, myPieceCode);
      arrayLength ++;
    }

    toField = currentPosition + 21;
    if (LEGALBOARD[toField] && TiffanysBoard.isValidMoveToField(board[toField], myColor)) {
      moves[arrayLength] = new TiffanysMove(currentPosition, toField, myPieceCode);
      arrayLength ++;
    }

    toField = currentPosition + 12;
    if (LEGALBOARD[toField] && TiffanysBoard.isValidMoveToField(board[toField], myColor)) {
      moves[arrayLength] = new TiffanysMove(currentPosition, toField, myPieceCode);
      arrayLength ++;
    }

    toField = currentPosition -8;
    if (LEGALBOARD[toField] && TiffanysBoard.isValidMoveToField(board[toField], myColor)) {
      moves[arrayLength] = new TiffanysMove(currentPosition, toField, myPieceCode);
      arrayLength ++;
    }

    toField = currentPosition -19;
    if (LEGALBOARD[toField] && TiffanysBoard.isValidMoveToField(board[toField], myColor)) {
      moves[arrayLength] = new TiffanysMove(currentPosition, toField, myPieceCode);
      arrayLength ++;
    }

    toField = currentPosition -21;
    if (LEGALBOARD[toField] && TiffanysBoard.isValidMoveToField(board[toField], myColor)) {
      moves[arrayLength] = new TiffanysMove(currentPosition, toField, myPieceCode);
      arrayLength ++;
    }

    toField = currentPosition -12;
    if (LEGALBOARD[toField] && TiffanysBoard.isValidMoveToField(board[toField], myColor)) {
      moves[arrayLength] = new TiffanysMove(currentPosition, toField, myPieceCode);
      arrayLength ++;
    }

    toField = currentPosition +8;
    if (LEGALBOARD[toField] && TiffanysBoard.isValidMoveToField(board[toField], myColor)) {
      moves[arrayLength] = new TiffanysMove(currentPosition, toField, myPieceCode);
      arrayLength ++;
    }


    return arrayLength;

  }
/*
  public static int[] getTestBoard() {
    int[] board = new int[120];
    Board.clearBoard(board);

    board[64] += Board.OWNER_WHITE + Board.PIECE_KNIGHT;
    board[83] += Board.OWNER_WHITE + Board.PIECE_BISHOP;

    Board.setEmptyFields(board);

    return board;
  }
*/
}