package ch.nostromo.tiffanys.game.player;

import ch.nostromo.tiffanys.engines.Engine;
import ch.nostromo.tiffanys.engines.EngineSettings;


public class PlayerTools {

  @SuppressWarnings("unchecked")
  public static PlayerEngine createPlayerEngine(String name, EngineSettings engineSettings) {

    Class<Engine> possibleEngine = null;
    try {
      possibleEngine = (Class<Engine>) Class.forName(name);
    } catch (ClassNotFoundException ignored) {
      // Do nothing

    }
    return new PlayerEngine(possibleEngine, engineSettings);
  }

  public static PlayerHuman createPlayerHuman(String name) {
    return new PlayerHuman(name);
  }
  
  
}
