package ch.nostromo.tiffanys.tests.libraries;

import ch.nostromo.tiffanys.tests.libraries.TestRules;
import ch.nostromo.tiffanys.tests.libraries.TestSan;
import junit.framework.Test;
import junit.framework.TestSuite;
import junit.textui.TestRunner;

public class TestAllLibraries {

  public static void main(String[] args) {
    TestRunner.run(suite());
  }

  public static Test suite() {

    TestSuite suite = new TestSuite("Tests for Libraries");
    // $JUnit-BEGIN$
    suite.addTestSuite(TestRules.class);
    suite.addTestSuite(TestFen.class);
    suite.addTestSuite(TestPgn.class);
    suite.addTestSuite(TestSan.class);
    suite.addTestSuite(TestEngineSettings.class);
    // $JUnit-END$
    return suite;
  }

}
