package ch.nostromo.tiffanys.engines;

import ch.nostromo.tiffanys.game.move.MoveInput;

public class EngineResult {
  MoveInput selectedMove;
  MoveInput[] calculatedMoves;
  String engineStats;
  
  public EngineResult(MoveInput selectedMove, MoveInput[] calculatedMoves, String engineStats) {
    this.selectedMove = selectedMove;
    this.calculatedMoves = calculatedMoves;
    this.engineStats = engineStats;
  }

  public MoveInput[] getCalculatedMoves() {
    return calculatedMoves;
  }

  public MoveInput getSelectedMove() {
    return selectedMove;
  }

  public String getEngineStats() {
    return engineStats;
  }

  public void setEngineStats(String engineStats) {
    this.engineStats = engineStats;
  }
  
  
  
}
