package ch.nostromo.tiffanys.engines.tiffanys.board.pieces;

import ch.nostromo.tiffanys.engines.tiffanys.board.TiffanysMove;
import ch.nostromo.tiffanys.engines.tiffanys.board.pieces.TiffanysPiece;
import ch.nostromo.tiffanys.game.board.Board;

public class TiffanysRook extends TiffanysPiece {

  private static final int myPieceCode = Board.PIECE_ROOK;

  public static final int MATERIAL_VALUE = 500;

  public static int getMoveList(int[] board, int currentPosition, int myColor, int oldArrayLength, TiffanysMove[] moves) {
    int arrayLength = oldArrayLength;


    int direction = +1;
    int counter = checkDirection(board, currentPosition, myColor, direction);
    for (int i = 0; i < counter; i++) {
      moves[arrayLength] = new TiffanysMove(currentPosition, currentPosition + ((i + 1) * direction), myPieceCode);
      arrayLength++;
    }

    direction = -1;
    counter = checkDirection(board, currentPosition, myColor, direction);
    for (int i = 0; i < counter; i++) {
      moves[arrayLength] = new TiffanysMove(currentPosition, currentPosition + ((i + 1) * direction), myPieceCode);
      arrayLength++;
    }

    direction = +10;
    counter = checkDirection(board, currentPosition, myColor, direction);
    for (int i = 0; i < counter; i++) {
      moves[arrayLength] = new TiffanysMove(currentPosition, currentPosition + ((i + 1) * direction), myPieceCode);
      arrayLength++;
    }

    direction = -10;
    counter = checkDirection(board, currentPosition, myColor, direction);
    for (int i = 0; i < counter; i++) {
      moves[arrayLength] = new TiffanysMove(currentPosition, currentPosition + ((i + 1) * direction), myPieceCode);
      arrayLength++;
    }

    return arrayLength;

  }

}