package ch.nostromo.tiffanys.game;

import ch.nostromo.tiffanys.game.move.Move;

public class GameControllerResult {
  Move selectedMove;
  Move[] calculatedMoves;
  String engineStats;
  
  public GameControllerResult(Move selectedMove, Move[] calculatedMoves, String engineStats) {
    this.selectedMove = selectedMove;
    this.calculatedMoves = calculatedMoves;
    this.engineStats = engineStats;
  }

  public Move[] getCalculatedMoves() {
    return calculatedMoves;
  }

  public Move getSelectedMove() {
    return selectedMove;
  }

  public String getEngineStats() {
    return engineStats;
  }

  public void setEngineStats(String engineStats) {
    this.engineStats = engineStats;
  }
  
  
}
