package ch.nostromo.tiffanys.tests.libraries;

import ch.nostromo.tiffanys.game.board.BoardException;
import ch.nostromo.tiffanys.game.game.Game;
import ch.nostromo.tiffanys.tests.TestBase;

public class TestFen extends TestBase {

  public void testFen() throws BoardException {
    String fenInput = "rnbqkbnr/pp1p1p1p/2p1p1p1/4P3/2B5/5N2/PPPP1PPP/RNBQK2R b Kq e4 1 3";

    Game game = new Game(fenInput);
    
    String fenOutput = game.getFEN();
    
    logger.info(fenInput);
    logger.info(fenOutput);
    
    assertTrue(fenInput.equals(fenOutput));
  }
  
}
